

{ config,
  nixosConfig,
  pkgs,
  inputs,
  home-manager,
  ... }:

{

  imports = [
     #inputs.nix-index-db.hmModules.nix-index
  ];

  # systemd.user.services.mailsync = {

  #}

  home.packages = with pkgs; [
    cider
    prismlauncher
    firefox
    librewolf
    neomutt
    dunst
    mutt-wizard
    cyrus-sasl-xoauth2
    pass
    isync
    msmtp
    notmuch
    kitty
    lynx
    playerctl
    nheko
    hyprpaper
    xdg-desktop-portal-hyprland
    pavucontrol
    slurp
    grim
    wofi
    imv
    swaylock-effects
    qt5ct
    qt6ct
  ];
  #programs.hyprland.enable = true;
  # hyprland.homeManagerModules.default
  #wayland.windowManager.hyprland.enable = true;

  xdg.configFile = { 
    "hypr" = {
      source = config.lib.file.mkOutOfStoreSymlink "/etc/nixos/config/hypr";
      recursive = true;
    };
  };

  # Read the Docs before change
  home.stateVersion = "23.05";
  home.homeDirectory = "/home/stitchynyan";
}
